org.apache.commons.math3.exception

## Class MathInternalError

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - java.lang.RuntimeException
      - - java.lang.IllegalStateException
        - - org.apache.commons.math3.exception.MathIllegalStateException
          - - org.apache.commons.math3.exception.MathInternalError

- All Implemented Interfaces:
    Serializable, ExceptionContextProvider

      public class MathInternalError
      extends MathIllegalStateException

  Exception triggered when something that shouldn't happen does happen.
  Since:
    2.2
  Version:
    $Id: MathInternalError.java 1244107 2012-02-14 16:17:55Z erans $
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `MathInternalError()` Simple constructor.
    `MathInternalError(Localizable pattern, Object... args)` Constructor accepting a localized message.
    `MathInternalError(Throwable cause)` Simple constructor.

  - ### Method Summary

    - ### Methods inherited from class org.apache.commons.math3.exception.MathIllegalStateException

      `getContext, getLocalizedMessage, getMessage`

    - ### Methods inherited from class java.lang.Throwable

      `addSuppressed, fillInStackTrace, getCause, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### MathInternalError

          public MathInternalError()

      Simple constructor.

    - #### MathInternalError

          public MathInternalError(Throwable cause)

      Simple constructor.
      Parameters:
        `cause` - root cause

    - #### MathInternalError

          public MathInternalError(Localizable pattern,
                           Object... args)

      Constructor accepting a localized message.
      Parameters:
        `pattern` - Message pattern explaining the cause of the error.
        `args` - Arguments.

Copyright © 2003-2012 The Apache Software Foundation. All Rights Reserved.